


Summary:        Qt wrapper for NetworkManager API
Name:           networkmanager-qt
Version: 		5.115.0
Release:        %mkrel 1
License:        GPLv2+
Group:          System/Libraries
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5xml-devel

BuildRequires:  libnm-devel

%description
Qt wrapper for NetworkManager API

#--------------------------------------------------------------------

%define kf5networkmanagerqt_major 5
%define libkf5networkmanagerqt %mklibname kf5networkmanagerqt %{kf5networkmanagerqt_major}

%package -n %libkf5networkmanagerqt
Summary:      Qt wrapper for NetworkManager API
Group:        System/Libraries

%description -n %libkf5networkmanagerqt
Qt wrapper for NetworkManager API

%files -n %libkf5networkmanagerqt
%_kf5_libdir/libKF5NetworkManagerQt.so.%{kf5networkmanagerqt_major}*
%_kf5_libdir/libKF5NetworkManagerQt.so.6
%{_datadir}//qlogging-*5/networkmanagerqt.*
#--------------------------------------------------------------------

%define networkmanagerqt_devel %mklibname %name -d

%package -n %networkmanagerqt_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %libkf5networkmanagerqt = %version-%release
Provides:       %name-devel = %{version}-%{release}
Provides:       %{_lib}plasma5-libnm-qt-devel = %version-%release

%description -n %networkmanagerqt_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %networkmanagerqt_devel
%_kf5_includedir/NetworkManagerQt
%_kf5_libdir/cmake/KF5NetworkManagerQt
%_kf5_libdir/libKF5NetworkManagerQt.so

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version


%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DBUILD_TESTING=OFF -DBUILD_EXAMPLES=OFF -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build



%changelog
* Sun Feb 11 2024 tex - 5.115.0-1pclos2024
- new version

* Sat Jan 13 2024 tex - 5.114.0-1pclos2024
- new version

* Fri Dec 15 2023 tex - 5.113.0-1pclos2023
- new version

* Sun Nov 12 2023 tex - 5.112.0-1pclos2023
- new version

* Thu Oct 19 2023 tex - 5.111.0-1pclos2023
- new version

* Sun Sep 10 2023 tex - 5.110.0-1pclos2023
- new version

* Sat Aug 19 2023 tex - 5.109.0-1pclos2023
- new version

* Sun Jul 09 2023 tex - 5.108.0-1pclos2023
- new version

* Sun Jun 11 2023 tex - 5.107.0-1pclos2023
- new version

* Sun May 14 2023 tex - 5.106.0-1pclos2023
- new version

* Sat Apr 08 2023 tex - 5.105.0-1pclos2023
- new version

* Wed Mar 08 2023 tex - 5.104.0-1pclos2023
- new version

* Sun Feb 12 2023 tex - 5.103.0-1pclos2023
- new version

* Sat Jan 14 2023 tex - 5.102.0-1pclos2023
- new version

* Sun Dec 11 2022 tex - 5.101.0-1pclos2022
- new version

* Mon Nov 14 2022 tex - 5.100.0-1pclos2022
- new version

* Mon Oct 10 2022 tex - 5.99.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 5.98.0-2pclos2022
- rebuild against updates

* Sun Sep 11 2022 tex - 5.98.0-1pclos2022
- new version

* Mon Aug 15 2022 tex - 5.97.0-1pclos2022
- new version

* Sun Jul 10 2022 tex - 5.96.0-1pclos2022
- new version

* Mon Jun 13 2022 tex - 5.95.0-1pclos2022
- new version

* Wed May 25 2022 tex - 5.94.0-1pclos2022
- new version

* Sun Apr 10 2022 tex - 5.93.0-1pclos2022
- new version

* Sun Mar 13 2022 tex - 5.92.0-1pclos2022
- new version

* Sun Feb 13 2022 tex - 5.91.0-1pclos2022
- new version

* Sat Jan 08 2022 tex - 5.90.0-1pclos2022
- new version

* Tue Dec 14 2021 tex - 5.89.0-1pclos2021
- new version

* Wed Nov 10 2021 tex - 5.88.0-1pclos2021
- new version

* Sat Oct 09 2021 tex - 5.87.0-1pclos2021
- new version

* Mon Sep 13 2021 tex - 5.86.0-3pclos2021
- rebuild against updates

* Mon Sep 13 2021 tex - 5.86.0-2pclos2021
- rebuild against updates

* Sat Sep 11 2021 tex - 5.86.0-1pclos2021
- new version

* Wed Aug 11 2021 tex - 5.85.0-1pclos2021
- new version

* Fri Jul 09 2021 tex - 5.84.0-1pclos2021
- new version

* Sat Jun 12 2021 tex - 5.83.0-1pclos2021
- new version

